freemarker.template.utility

## Class UnsupportedNumberClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - freemarker.template.utility.UnsupportedNumberClassException

All Implemented Interfaces:
  Serializable

    public class UnsupportedNumberClassException
    extends RuntimeException

Thrown when FreeMarker runs into a `Number` subclass that it doesn't yet support.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedNumberClassException(Class pClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `getUnsupportedClass()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedNumberClassException

    public UnsupportedNumberClassException(Class pClass)

### Method Detail

#### getUnsupportedClass

    public Class getUnsupportedClass()